import request from '@/utils/request';
import { themeColorManageQuery, themeColorManageVO } from './types';
import { AxiosPromise } from 'axios';

// 查询主题色管理列表
export function listThemeColorManage(query: themeColorManageQuery): AxiosPromise<themeColorManageVO[]> {
  return request({
    url: '/system/tenant/themeColorList',
    method: 'get',
    params: query
  });
}

// 修改主题色
export function updateThemeColorManage(data:any) {
  return request({
    url: '/system/tenant/themeColor',
    method: 'put',
    data: data
  });
}
